# UnitfulAstro.jl

UnitfulAstro.jl is an extension of [Unitful.jl](https://github.com/ajkeller34/Unitful.jl) to include
units commonly encountered in astronomy.

[![Build Status](https://travis-ci.org/JuliaAstro/UnitfulAstro.jl.svg?branch=master)](https://travis-ci.org/JuliaAstro/UnitfulAstro.jl)
[![Build Status](https://ci.appveyor.com/api/projects/status/9tgicxbo6ud533hp/branch/master?svg=true)](https://ci.appveyor.com/project/mweastwood/unitfulastro-jl/branch/master)

**Author:** Michael Eastwood

**License:** MIT "Expat"

**Documentation:** http://juliaastro.github.io/UnitfulAstro.jl/stable

## Summary of Units

The list of additional units is given below:

* [Erg](https://en.wikipedia.org/wiki/Erg)
* [Dyne](https://en.wikipedia.org/wiki/Dyne)
* [Arc minute](https://en.wikipedia.org/wiki/Minute_and_second_of_arc)
* [Arc second](https://en.wikipedia.org/wiki/Minute_and_second_of_arc)
* [Julian year](https://en.wikipedia.org/wiki/Julian_year_%28astronomy%29)
* [Astronomical unit](https://en.wikipedia.org/wiki/Astronomical_unit)
* [Light year](https://en.wikipedia.org/wiki/Light-year)
* [Parsec](https://en.wikipedia.org/wiki/Parsec)
* [Jansky](https://en.wikipedia.org/wiki/Jansky)
* [Solar radius](https://en.wikipedia.org/wiki/Solar_radius)
* [Solar irradiance](https://en.wikipedia.org/wiki/Solar_irradiance)
* [Solar luminosity](https://en.wikipedia.org/wiki/Solar_luminosity)
* [Solar mass](https://en.wikipedia.org/wiki/Solar_mass) [1]
* [Earth radius](https://en.wikipedia.org/wiki/Earth_radius) [2]
* [Earth mass](https://en.wikipedia.org/wiki/Earth_mass) [1]
* [Jupiter radius](https://en.wikipedia.org/wiki/Jupiter_radius) [2]
* [Jupiter mass](https://en.wikipedia.org/wiki/Jupiter_mass) [1]
* [Fifty-one ergs](https://en.wikipedia.org/wiki/Foe_%28unit%29)
* [Solar flux unit](https://en.wikipedia.org/wiki/Solar_flux_unit)
* [Total electron content unit](http://www.swpc.noaa.gov/phenomena/total-electron-content)

In addition the following magnitudes are supported:

* [Absolute and apparent bolometric magnitude](https://en.wikipedia.org/wiki/Absolute_magnitude#Bolometric_magnitude)
* [AB magnitude](https://en.wikipedia.org/wiki/AB_magnitude)
* [Johnson-Cousins UBVRI magnitudes](https://en.wikipedia.org/wiki/UBV_photometric_system)
* [Gunn griz magnitudes](https://www.cfa.harvard.edu/~dfabricant/huchra/ay145/mags.html#definitions)

Where applicable, all units are defined by the IAU standard.

[1]: gravitational constant times mass also given

[2]: polar and equatorial radii
